# NumberCell

The number cell renders numbers and has a specialized editor for inputing numerical values.

```typescript
export interface NumberCell extends BaseGridCell {
    readonly kind: GridCellKind.Number;
    readonly displayData: string;
    readonly data: number | undefined;
    readonly readonly?: boolean;
    readonly fixedDecimals?: number;
    readonly allowNegative?: boolean;
    readonly thousandSeparator?: boolean | string;
    readonly decimalSeparator?: string;
}
```

### displayData

A formated version of the number as a string.

### data

The number value of the cell

### readonly

Determines if the cell will accept edit events.

### fixedDecimals

When provided, fixes the number of decimals used in the overlay editor to the number provided.

### allowNegative

When set to `false` negative numbers are not allowed to be entered.

### thousandsSeparator

Allows overiding or disabling of the thousands separator. False disables, true enables, and a string overrides it.

### decimalSeparator

Allows overiding the decimal separator, normally passing either "," or "."


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.grid.glideapps.com/api/cells/numbercell.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
